package com.tomtom.navui.api;

import com.tomtom.navui.api.ApiMessage;
import com.tomtom.navui.api.ApiException;

//
// NOTE: This is part of the interface between the SDKClient and NavApp
// DO NOT change as this will break application binary compatibility
//
interface IApiServiceCallback {
    // Reply from NavApp
    void reply(in ApiMessage message);

    // An Exception occured during the call
    void onException(in int requestId, in ApiException e);

    // An Error occurred, e.g. connection to TaskKit was lost
    void onError(in int requestId, in int errorCode);

    // Methods below added in 14.6
    // Reply to internal requests
    void internalReply(in int request, in ApiMessage message);
}
